Summary: Device-Modem Perl module
Name: perl-Device-Modem
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPL+ or Artistic
Group: Development/Libraries
URL: http://search.cpan.org/dist/Device-Modem/
Source0: %name-%version.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%name-%version
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-generators
Requires: perl(Device::SerialPort)
# Common RHEL stuff
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
%{summary}.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL 
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf %buildroot

make pure_install PERL_INSTALL_ROOT=%buildroot

find %buildroot -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find %buildroot -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %buildroot/*

for brp in %{_prefix}/lib/rpm/%{_build_vendor}/brp-compress \
  %{_prefix}/lib/rpm/brp-compress
do
  [ -x $brp ] && $brp && break
done


find %buildroot -type f \
| sed "s@^%buildroot@@g" \
> %{name}-%{version}-%{release}-filelist

eval `%{__perl} -V:archname -V:installsitelib -V:installvendorlib -V:installprivlib`
for d in $installsitelib $installvendorlib $installprivlib; do
  [ -z "$d" -o "$d" = "UNKNOWN" -o ! -d "%buildroot$d" ] && continue
  find %buildroot$d/* -type d \
  | grep -v "/$archname\(/auto\)\?$" \
  | sed "s@^%buildroot@%dir @g" \
  >> %{name}-%{version}-%{release}-filelist
done

if [ "$(cat %{name}-%{version}-%{release}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
fi

%clean
rm -rf %buildroot

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root,-)
%doc Changes README

%changelog
* Fri May 11 2012 ae <ae@op5.se>
- Specfile created from template made by some random lul
